Update an existing Trade Payoff Balance
curl --request PATCH \
--url https://commerce.driv.ly/api/tradepayoffbalances/{customer}/{vehicle}/{balance} \
--header 'Content-Type: application/json' \
--data '
{
"trade": {
"customer": "<string>",
"vehicle": "<string>"
},
"balance": 123,
"goodThroughDate": "2023-12-25",
"lender": "<string>"
}
'import requests
url = "https://commerce.driv.ly/api/tradepayoffbalances/{customer}/{vehicle}/{balance}"
payload = {
"trade": {
"customer": "<string>",
"vehicle": "<string>"
},
"balance": 123,
"goodThroughDate": "2023-12-25",
"lender": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
trade: {customer: '<string>', vehicle: '<string>'},
balance: 123,
goodThroughDate: '2023-12-25',
lender: '<string>'
})
};
fetch('https://commerce.driv.ly/api/tradepayoffbalances/{customer}/{vehicle}/{balance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"trade": {
"customer": "<string>",
"vehicle": "<string>"
},
"balance": 123,
"goodThroughDate": "2023-12-25",
"lender": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}{
"error": {
"code": 123,
"message": "<string>"
},
"success": true
}Trades
Update an existing Trade Payoff Balance
PATCH
/
tradepayoffbalances
/
{customer}
/
{vehicle}
/
{balance}
Update an existing Trade Payoff Balance
Path Parameters
Trade Payoff Balance is uniquely identified by Trade
Trade Payoff Balance is uniquely identified by Trade
Trade Payoff Balance is uniquely identified by Balance
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Trade requires payoff Balance
Trade Payoff Balance is uniquely identified by Trade
- Option 1
- Trade
Show child attributes
Show child attributes
Trade Payoff Balance is uniquely identified by Balance
Must be a multiple of
0.01Trade Payoff Balance is Good Through Date
Trade Payoff Balance is to Lender
⌘I